summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2017-12-20 13:26:40 +0100
committerMarek Szuba <marecki@gentoo.org>2017-12-20 13:49:15 +0100
commitf9cf5c2368182601197fe78ee5aa44afb9caccbd (patch)
tree27314fcc35fe9930483bff9c09ecf117f98023c3 /app-backup/burp/files/burp.initd
parentapp-backup/burp: remove old (diff)
downloadgentoo-f9cf5c2368182601197fe78ee5aa44afb9caccbd.tar.gz
gentoo-f9cf5c2368182601197fe78ee5aa44afb9caccbd.tar.bz2
gentoo-f9cf5c2368182601197fe78ee5aa44afb9caccbd.zip
app-backup/burp: bump to 2.1.24
This also moves burp PID files from /run/burp to /run. Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'app-backup/burp/files/burp.initd')
-rw-r--r--app-backup/burp/files/burp.initd45
1 files changed, 45 insertions, 0 deletions
diff --git a/app-backup/burp/files/burp.initd b/app-backup/burp/files/burp.initd
new file mode 100644
index 00000000000..a0b0dccacbc
--- /dev/null
+++ b/app-backup/burp/files/burp.initd
@@ -0,0 +1,45 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+BURP_CONFIG="/etc/burp/burp-server.conf"
+
+description="Burp is a network backup and restore program"
+
+command="/usr/sbin/burp"
+command_args="-c '${BURP_CONFIG}' -F"
+command_background="yes"
+pidfile="/run/burp.server.pid"
+start_stop_daemon_arg="--wait 500"
+
+extra_started_commands="reload summary"
+description_reload="Reloads configuration"
+description_summary="Displays main status monitor summary"
+
+get_backup_dir() {
+ grep '^directory = ' "${BURP_CONFIG}" \
+ | sed -e 's/^directory = //'
+}
+
+depend() {
+ need localmount
+ after bootmisc
+ use net
+}
+
+start_pre() {
+ checkpath -o root:burp -m 0775 -d /etc/burp
+ checkpath -o root:burp -m 0640 -f /etc/burp/burp-server.conf
+ checkpath -o root:burp -m 0750 -d /etc/burp/clientconfdir
+ checkpath -o root:burp -m 0770 -d "$(get_backup_dir)"
+}
+
+reload() {
+ ebegin "Reloading ${SVCNAME} configuration"
+ start-stop-daemon --exec ${command} --signal HUP
+ eend $?
+}
+
+summary() {
+ "${command}" -c "${BURP_CONFIG}" -a S
+}